summaryrefslogtreecommitdiffstats
path: root/amsynth
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-10-09 12:05:05 +0000
committer Eric Hameleers <alien@slackware.com>2020-10-09 12:05:05 +0000
commit7a5a0352aab9ba4c2ec7e53cd95a35ad2dde72b2 (patch)
tree31f898f68eede413b1bf242d0f7ab8ad68e4b593 /amsynth
parent1fcda71e759c8c622305136e36274dfa8335e625 (diff)
downloadasb-7a5a0352aab9ba4c2ec7e53cd95a35ad2dde72b2.tar.gz
asb-7a5a0352aab9ba4c2ec7e53cd95a35ad2dde72b2.tar.xz
amsynth: updated to 1.11.0.
Diffstat (limited to 'amsynth')
-rwxr-xr-xamsynth/build/amsynth.SlackBuild25
1 files changed, 18 insertions, 7 deletions
diff --git a/amsynth/build/amsynth.SlackBuild b/amsynth/build/amsynth.SlackBuild
index f87d8481..d138a9bc 100755
--- a/amsynth/build/amsynth.SlackBuild
+++ b/amsynth/build/amsynth.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2019, 2020 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -29,10 +29,12 @@
# Descr: analog modelling synthesizer
# URL: http://amsynth.github.io/
# Build needs:
-# Needs: jack2, ladspa_sdk, liblo
+# Needs: dssi, jack2, ladspa_sdk, liblo, lv2
# Changelog:
-# 1.8.0-1: 03/Mar/2019 by Eric Hameleers <alien@slackware.com>
+# 1.8.0-1: 03/mar/2019 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 1.11.0-1: 09/oct/2020 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh amsynth.SlackBuild' to build a Slackware package.
# The package (.t?z) and .txt file as well as build logs are created in /tmp .
@@ -41,7 +43,7 @@
# -----------------------------------------------------------------------------
PRGNAM=amsynth
-VERSION=${VERSION:-1.8.0}
+VERSION=${VERSION:-1.11.0}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
TAG=${TAG:-alien}
@@ -56,8 +58,8 @@ TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
-SRCURL="https://github.com/${PRGNAM}/${PRGNAM}/releases/download/release-1.8.0/${PRGNAM}-1.8.0.tar.bz2"
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="https://github.com/${PRGNAM}/${PRGNAM}/releases/download/release-${VERSION}/${PRGNAM}-${VERSION}.tar.gz"
##
## --- with a little luck, you won't have to edit below this point --- ##
@@ -145,6 +147,7 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
+cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
cd ${PRGNAM}-${VERSION}
@@ -164,7 +167,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--with-alsa \
--with-jack \
- --with-sndfile \
+ --with-dssi \
--with-lv2 \
--with-vst \
--program-prefix= \
@@ -175,6 +178,14 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
make DESTDIR=$PKG install 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+# Add 'X-DAW' category to the desktop file (for liveslak):
+for DESKTOPF in $PKG/usr/share/applications/*.desktop ; do
+ if ! grep -q X-DAW $DESKTOPF ; then
+ sed -i $DESKTOPF \
+ -e "s/^Categories=\(.*\)/Categories=X-DAW;\1/"
+ fi
+done
+
# Add this to the doinst.sh:
mkdir -p $PKG/install
cat <<EOINS >> $PKG/install/doinst.sh